Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.diffmerge.model
Interface VDiffmergePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VDiffmergePackageImpl

    public interface VDiffmergePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VDiffmergeFactory`

Nested Class Summary
`static interface` | `VDiffmergePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DIFF_ATTACHMENT` The meta object id for the '`Diff Attachment`' class.
`static int` | `DIFF_ATTACHMENT__MERGED_DIFFS` The feature id for the 'Merged Diffs' attribute.
`static int` | `DIFF_ATTACHMENT__TOTAL_NUMBER_OF_DIFFS` The feature id for the 'Total Number Of Diffs' attribute.
`static int` | `DIFF_ATTACHMENT_FEATURE_COUNT` The number of structural features of the 'Diff Attachment' class.
`static VDiffmergePackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getDiffAttachment_MergedDiffs()` Returns the meta object for the attribute ' `Merged Diffs`'.
`org.eclipse.emf.ecore.EAttribute` | `getDiffAttachment_TotalNumberOfDiffs()` Returns the meta object for the attribute ' `Total Number Of Diffs`'.
`org.eclipse.emf.ecore.EClass` | `getDiffAttachment()` Returns the meta object for class '`Diff Attachment`'.
`VDiffmergeFactory` | `getDiffmergeFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VDiffmergePackage eINSTANCE

  The singleton instance of the package.

### DIFF_ATTACHMENT

    static final int DIFF_ATTACHMENT

  The meta object id for the '`Diff Attachment`' class.

  See Also:
    `VDiffAttachmentImpl`, `VDiffmergePackageImpl.getDiffAttachment()`, Constant Field Values

### DIFF_ATTACHMENT__TOTAL_NUMBER_OF_DIFFS

    static final int DIFF_ATTACHMENT__TOTAL_NUMBER_OF_DIFFS

  The feature id for the 'Total Number Of Diffs' attribute.

  See Also:
    Constant Field Values

### DIFF_ATTACHMENT__MERGED_DIFFS

    static final int DIFF_ATTACHMENT__MERGED_DIFFS

  The feature id for the 'Merged Diffs' attribute.

  See Also:
    Constant Field Values

### DIFF_ATTACHMENT_FEATURE_COUNT

    static final int DIFF_ATTACHMENT_FEATURE_COUNT

  The number of structural features of the 'Diff Attachment' class.

  See Also:
    Constant Field Values

Method Detail

### getDiffAttachment

    org.eclipse.emf.ecore.EClass getDiffAttachment()

  Returns the meta object for class '`Diff Attachment`'.

  Returns:
    the meta object for class 'Diff Attachment'.
  See Also:
    `VDiffAttachment`

### getDiffAttachment_TotalNumberOfDiffs

    org.eclipse.emf.ecore.EAttribute getDiffAttachment_TotalNumberOfDiffs()

  Returns the meta object for the attribute ' `Total Number Of Diffs`'.

  Returns:
    the meta object for the attribute 'Total Number Of Diffs'.
  See Also:
    `VDiffAttachment.getTotalNumberOfDiffs()`, `getDiffAttachment()`

### getDiffAttachment_MergedDiffs

    org.eclipse.emf.ecore.EAttribute getDiffAttachment_MergedDiffs()

  Returns the meta object for the attribute ' `Merged Diffs`'.

  Returns:
    the meta object for the attribute 'Merged Diffs'.
  See Also:
    `VDiffAttachment.getMergedDiffs()`, `getDiffAttachment()`

### getDiffmergeFactory

    VDiffmergeFactory getDiffmergeFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.